> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Dữ liệu bid/ask gần nhất

> Truy vấn thông tin dữ liệu bid/ask gần nhất của mã chứng khoán.



## OpenAPI

````yaml https://cdn.entrade.com.vn/dnse-openapi/doc/dnse-openapi-2026-05-07.yaml get /price/{symbol}/quotes/latest
openapi: 3.0.0
info:
  title: DNSE-OpenAPI-V2
  version: 1.0.0
  description: DNSE OpenAPI spec and tests
servers:
  - url: https://openapi-uat.dnse.com.vn
security: []
paths:
  /price/{symbol}/quotes/latest:
    parameters:
      - name: symbol
        in: path
        required: true
        description: Mã chứng khoán
        schema:
          type: string
        example: ACB
    get:
      tags:
        - market-data
      summary: Dữ liệu bid/ask gần nhất
      description: Truy vấn thông tin dữ liệu bid/ask gần nhất của mã chứng khoán.
      parameters:
        - name: boardId
          in: query
          description: |-
            Mã bảng giao dịch
            - G1: Lô chẵn
            - G4: Lô lẻ
            - T1: Thỏa thuận trong giờ (9h - 14h45)
            - T3: Thỏa thuận sau giờ (14h45 - 15h)
            - T4: Thỏa thuận lô lẻ trong giờ (9h - 14h45)
            - T6: Thỏa thuận lô lẻ sau giờ  (14h45 - 15h)
          schema:
            type: string
          example: G1
        - name: X-API-Key
          in: header
          required: true
          description: API Key được cấp khi đăng ký dịch vụ
          schema:
            type: string
          example: '{{apiKey}}'
        - name: X-Aux-Date
          in: header
          required: true
          description: Thời gian thực hiện yêu cầu
          schema:
            type: string
          example: '{{date}}'
        - name: X-Signature
          in: header
          required: true
          description: Chữ ký xác thực yêu cầu
          schema:
            type: string
          example: '{{signature}}'
        - name: version
          in: header
          description: 'Phiên bản API '
          schema:
            type: string
            format: date
          example: '2026-05-07'
      responses:
        '200':
          description: OK
          headers:
            Content-Length:
              schema:
                type: integer
              example: 454
            Date:
              schema:
                type: string
              example: Wed, 27 May 2026 08:11:15 GMT
            Vary:
              schema:
                type: string
              example: Origin
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: 10000
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: 9998
            X-Ratelimit-Reset:
              schema:
                type: integer
              example: 1779955862
            X-Tyk-Api-Expires:
              schema:
                type: string
              example: Thu, 02 Jan 3000 15:04:00 UTC
          content:
            application/json:
              schema:
                type: object
                properties:
                  quotes:
                    type: array
                    example:
                      - marketId: STO
                        boardId: G1
                        isin: VN000000ACB8
                        symbol: ACB
                        bid:
                          - price: 24.55
                            quantity: 60590
                          - price: 24.5
                            quantity: 30250
                          - price: 24.45
                            quantity: 19600
                        offer:
                          - price: 24.6
                            quantity: 10450
                          - price: 24.65
                            quantity: 8450
                          - price: 24.7
                            quantity: 23080
                        totalOfferQtty: 0
                        totalBidQtty: 0
                        time: '2026-05-27 09:49:01.001'
                    items:
                      type: object
                      properties:
                        marketId:
                          type: string
                          example: STO
                          description: Mã thị trường niêm yết mã chứng khoán
                        boardId:
                          type: string
                          example: G1
                          description: Mã bảng giao dịch
                        isin:
                          type: string
                          example: VN000000ACB8
                          description: Mã định danh quốc tế
                        symbol:
                          type: string
                          example: ACB
                          description: Mã chứng khoán
                        bid:
                          type: array
                          example:
                            - price: 24.55
                              quantity: 60590
                          items:
                            type: object
                            properties:
                              price:
                                type: number
                                format: double
                                example: 24.55
                                description: Giá chào mua
                              quantity:
                                type: integer
                                format: int32
                                example: 60590
                                description: Khối lượng chào mua tại mức giá tương ứng
                          description: Danh sách các mức giá chào mua
                        offer:
                          type: array
                          example:
                            - price: 24.6
                              quantity: 10450
                          items:
                            type: object
                            properties:
                              price:
                                type: number
                                format: double
                                example: 24.6
                                description: Giá chào bán
                              quantity:
                                type: integer
                                format: int32
                                example: 10450
                                description: Khối lượng chào bán tại mức giá tương ứng
                          description: Danh sách các mức giá chào bán
                        totalOfferQtty:
                          type: integer
                          example: 0
                          description: Tổng khối lượng chào bán
                          format: int32
                        totalBidQtty:
                          type: integer
                          example: 0
                          description: Tổng khối lượng chào mua
                          format: int32
                        time:
                          type: string
                          example: '2026-05-27 09:49:01.001'
                          description: >-
                            Thời gian trong các message giá của sàn trả về
                            (YYYY-MM-DD HH:mm:ss.SSS (GMT+7))
                    description: Danh sách dữ liệu bid/ask
              example:
                quotes:
                  - marketId: STO
                    boardId: G1
                    isin: VN000000ACB8
                    symbol: ACB
                    bid:
                      - price: 24.55
                        quantity: 60590
                      - price: 24.5
                        quantity: 30250
                      - price: 24.45
                        quantity: 19600
                    offer:
                      - price: 24.6
                        quantity: 10450
                      - price: 24.65
                        quantity: 8450
                      - price: 24.7
                        quantity: 23080
                    totalOfferQtty: 0
                    totalBidQtty: 0
                    time: '2026-05-27 09:49:01.001'
        '400':
          description: Yêu cầu không hợp lệ
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  status:
                    type: integer
              example:
                code: OA-003
                message: Thông tin nhập không hợp lệ
                status: 400
        '500':
          description: Lỗi hệ thống
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  status:
                    type: integer
              example:
                code: OA-009
                message: Lỗi hệ thống
                status: 500

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.